%global		python_version	%(python -c 'import sys; print sys.version[:3]')
%global		python_sitelib	%(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()')

Name:		python-utmp
Version:	0.7
Release:	12%{?dist}
Summary:	Python modules for umtp records

Group:		System Environment/Libraries
License:	Copyright only
URL:		http://kassiopeia.juls.savba.sk/~garabik/software/python-utmp/
Source0:	http://kassiopeia.juls.savba.sk/~garabik/software/python-utmp/%{name}_%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	python-devel


%description
python-utmp consists of three modules, providing access to utmp records.
It is quite difficult to access utmp record portably, because every UNIX
has different structure of utmp files. Currently, python-utmp works on
platforms which provide getutent, getutid, getutline, pututline,
setutent, endutent and utmpname functions (such as GNU systems
(Linux and hurd) and System V unices) and on BSD systems using
simple utmp structure.


%prep
%setup -q


%build
make -f Makefile.glibc \
	DEFINES=" \
		-D_HAVE_UT_SESSION -D_HAVE_UT_ADDR_V6 -D_HAVE_UT_EXIT \
		-D_HAVE_UT_HOST -D_HAVE_UT_ID -D_HAVE_UT_TV -D_HAVE_UT_USER \
		-D_HAVE_UTMPNAME -D_HAVE_SETUTENT -D_HAVE_GETUTENT -D_HAVE_ENDUTENT \
		-D_HAVE_GETUTID -D_HAVE_GETUTLINE -D_HAVE_PUTUTLINE \
		%{optflags}" \
	PYTHONVER=%{python_version}


%install
rm -rf %{buildroot}
make \
	PYTHONDIR=%{buildroot}/%{python_sitelib}/ \
	PYTHONVER=%{python_version} \
	install
rm -f COPYING
install -D -p -m644 debian/copyright COPYING



%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README TODO
%{python_sitelib}/*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 28 2009 Juha Tuomala <tuju@iki.fi> - 0.7-5
- Minor spec imrovements.

* Tue Jul 21 2009 Juha Tuomala <tuju@iki.fi> - 0.7-4
- Minor spec imrovements.

* Sun Jul 05 2009 Juha Tuomala <tuju@iki.fi> - 0.7-3
- License string fix.

* Sun Jul 05 2009 Juha Tuomala <tuju@iki.fi> - 0.7-2
- Spec modifications, bug #505259.

* Thu Jun 11 2009 Juha Tuomala <tuju@iki.fi> - 0.7-1
- Initial package.
